View Issue Details

IDProjectCategoryView StatusLast Update
13668Bug reports[All Projects] Otherpublic2018-06-15 14:27
ReporterhughswannAssigned Tomarkusfluer 
PriorityurgentSeverityminor 
Status closedResolutionfixed 
Product Version3.7.x 
Target VersionFixed in Version 
Summary13668: Theme Options- custome Brandlogo fails to show the image preview and fails to show on the survey page.
DescriptionOn a survey's settings use the Theme options page. "Survey options for theme bootswatch" / "SimpleOptions" tab
I can upload a brandlogo file.
The Advanced Options then has shows Options value {"general_inherit":1,"brandlogofile":"/limesurvey/upload/themes/survey/generalfiles/my_logo.png","brandlogo":"on","ajaxmode":"inherit"}.

"/survey/upload/themes/survey/generalfiles/my_logo.png" is the correct url of the uploaded file.

BUT, the preview button fails to show the image, it has a wrong url
   src="/var/www/html/asite/asite.tst/limesurvey/upload/themes/survey/generalfiles/my_logo.png"
(this is the absolute filepath, not the server path to the uploaded image)

AND, on the survey page the logo fails to show, just the Alt text
  <img class="logo img-responsive" src="" alt="Survey1">
with the src attribute an empty string instead of the url.
Steps To Reproduce
On a survey's settings use the Theme options page.

Try to set a brandlogo, it doesn't show in the preview button, and doesn't show on the survey preview page or live survey page.



Additional InformationLimesurvey is a great app, thank you.

Can be reproduced using any theme.
We have limesurvey is in a subfolder "/survey".
In the config We have:
'urlManager' => [
        'urlFormat' => 'path',
        'rules' => [
            // You can add your own rules here
        ],
        'showScriptName' => false,
    ],

I overcame this bug (Or config problem?) by appending some css where is shouldn't be.
Tagstheme
Complete LimeSurvey version number (& build)Version 3.7.1+180424 AND ALSO Version 3.7.2+180508
I will donate to the project if issue is resolvedNo
Browserall
Database & DB-Version10.1.28-MariaDB AND ALSO mysql 14.14
Operating System (Server)Ubuntu debian-linux-gnu (x86_64)
Webserver software & version Apache/2.4.18 AND ALSO Apache/2.4.7 (Ubuntu)
PHP Version5.6 AND 7.1

Activities

LouisGac

LouisGac

2018-05-16 11:38

manager   ~47605

src="/var/www/html/asite/asite.tst/limesurvey/upload/themes/survey/generalfiles/my_logo.png"

yes, that's really wrong.
please for now, just enable the asset manager, it should solve the problem
You can do it by turning off debug mode or by adding 'use_asset_manager'=>true, in your config
LouisGac

LouisGac

2018-05-30 16:01

manager   ~47921

fixed by markus
pnadam

pnadam

2018-06-07 17:21

reporter   ~48021

This is also broken in 3.9.0+180604 -- has the fix not yet made it to stable?
bernd138

bernd138

2018-06-08 10:32

reporter   ~48029

Have the same problem. Also adding 'use_asset_manager'=>true, in config did not help.
LouisGac

LouisGac

2018-06-08 13:26

manager   ~48032

bernd138: just update
bernd138

bernd138

2018-06-08 13:41

reporter   ~48033

LouisGac: What should I update? I have version 3.9.0+180604 installed. ComfortUpdate does not show a later version.
kanedat

kanedat

2018-06-10 21:41

reporter   ~48036

I'm also having problems on version 3.9.0+180604.

Limesurvey installation on our vserver has the same image URL problems as described in the initial bug report. Image display and preview is broke.

Image URL is: "domain.org/var/customers/webs/limesurvey/upload/themes/survey/generalfiles/image.png"
Image URL should be: "domain.org/limesurvey/upload/themes/survey/generalfiles/image.png" (can be opened when adjusting the URL manually)


Limesurvey installation on my personal webspace also has issues after updating to 3.9.0+180604 using ComfortUpdate. Preview works here, but logo is not displayed and Browser shows no Image URL in source.
popcorn

popcorn

2018-06-13 11:44

reporter   ~48077

I have the same issue with 3.9.0+180604 too. The default themes like fruity shows both the logo and background preview fine but when extended, the logo preview in the extended theme doesn't show. The uploaded logo doesn't show in all surveys.
LouisGac

LouisGac

2018-06-13 11:51

manager   ~48078

it should has been fixed in latest release.
popcorn

popcorn

2018-06-13 12:02

reporter   ~48079

Is the latest release out? Comfortupdate doesn't show that there is a new update.
popcorn

popcorn

2018-06-13 12:57

reporter   ~48082

I just manually updated to Version 3.11.0+180612 and ported my themes over. The issue seems to still persist. The logo still doesn't show - only the survey title appears.

I tried creating a new extend theme of fruity and the I am still seeing the same result. The preview image doesn't work for the logo and any uploaded image doesn't appear in the survey too.
LouisGac

LouisGac

2018-06-13 13:13

manager   ~48083

wait: if the survey title appears, it means that the logo is off in the options.
popcorn

popcorn

2018-06-13 13:26

reporter   ~48084

I am quite sure that the logo was set to "on" in the theme options earlier but I have just tried again anyway. The preview works for the default fruity theme though. When I tried to upload an logo.png or jpg to the fruity theme, preview works but logo still doesn't show on the survey page.

When I extended the fruity theme, the preview doesn't work anymore and the logo doesn't appear on the survey page too.

I just happened to rename the extended theme earlier and it crashed the /themeoption page and gives an error message "server error - the theme "xxx" is not installed". I had to use the browser's back navigation and rename the theme page. Back to normal after that.
LouisGac

LouisGac

2018-06-13 13:28

manager   ~48085

that doesn't answer to my question.
could you please check that the logo option is actually on?

And yes: don't rename folders.
popcorn

popcorn

2018-06-13 13:36

reporter   ~48086

1) Yes. the logo option is set to "on". But the logo doesn't show. Only the survey title shows whether the logo option is on or off.

2) I did not rename the folder. I used the "rename" function / button in the theme's page and it crashed the /themeoption page.
LouisGac

LouisGac

2018-06-13 14:26

manager   ~48087

2) ok, that's really wrong.

For the logo thing, can you please attach a screenshot of the source of your webpage?
(in chrome: start the survey, then ctrl + u )
I'd like to see what is the src of the image tag.
(or can you share a url?)
popcorn

popcorn

2018-06-13 14:59

reporter   ~48089

This is what I got so far with logo option "on".

<img class="logo img-responsive" src="" alt="Test Survey" />

Picture1.jpg (145,243 bytes)
LouisGac

LouisGac

2018-06-13 15:12

manager   ~48090

this happen when logo is on but not logo selected
can you check that your survey level, theme options has a picture defined?
popcorn

popcorn

2018-06-13 15:19

reporter   ~48091

yes, at survey level, I have selected "on" for logo instead of "inherit" but the logo still doesn't show. The src is still "". Only the alt "Test Survey" shows.
LouisGac

LouisGac

2018-06-13 15:19

manager   ~48092

next to the logo on/off, there is dropdown select to choose your logo.
can you check that there is indeed a logo selected?
popcorn

popcorn

2018-06-13 15:44

reporter   ~48093

yes it shows the title of the logo in the dropdown. The preview doesn't work though.
kanedat

kanedat

2018-06-13 16:52

reporter   ~48095

Our vServer:
Everything fine now.

My personal webspace:
Problem still persists. I deleted limesurvey (including all mysql-tables) and set up a new installation, but that did not change anything.
popcorn

popcorn

2018-06-13 17:20

reporter   ~48096

This happened to us when I was trying to rename a theme in the theme options and the page just crashed. I tried many ways to access the theme options but couldn't. Hence I decided to uninstall and reinstall limesurvey on our server. The issue of the logo only surfaced after I did a fresh install of version 3.90.
popcorn

popcorn

2018-06-13 17:21

reporter   ~48097

Kanedat: what did you do to resolve the issue on your server?
popcorn

popcorn

2018-06-14 10:52

reporter   ~48105

Still can't get it to work. Reinstalled 4 times but nothing seem to work. The workaround I did was to remove the "IF" "ELSE" section on "logo" from the nav-bar.twig and manually insert the img src.
kanedat

kanedat

2018-06-14 14:35

reporter   ~48110

Only performed an upgrade to 3.11.0+180612 and that fixed the issue on our vserver.

Seems like the server configuration of my personal webspace interfers with the fix in the latest version.
c_schmitz

c_schmitz

2018-06-15 14:27

administrator   ~48123

New version released.

Issue History

Date Modified Username Field Change
2018-05-11 21:49 hughswann New Issue
2018-05-11 21:53 hughswann Tag Attached: theme
2018-05-16 11:38 LouisGac Note Added: 47605
2018-05-16 12:08 LouisGac Assigned To => LouisGac
2018-05-16 12:08 LouisGac Status new => assigned
2018-05-23 13:08 LouisGac Priority none => urgent
2018-05-23 13:08 LouisGac Steps to Reproduce Updated View Revisions
2018-05-23 13:08 LouisGac Sticky Issue No => Yes
2018-05-30 16:01 LouisGac Note Added: 47921
2018-05-30 16:01 LouisGac Status assigned => resolved
2018-05-30 16:01 LouisGac Resolution open => fixed
2018-06-07 17:21 pnadam Note Added: 48021
2018-06-08 10:32 bernd138 Note Added: 48029
2018-06-08 13:26 LouisGac Note Added: 48032
2018-06-08 13:41 bernd138 Note Added: 48033
2018-06-10 21:41 kanedat Note Added: 48036
2018-06-11 12:33 LouisGac Assigned To LouisGac => markusfluer
2018-06-13 11:44 popcorn Note Added: 48077
2018-06-13 11:51 LouisGac Note Added: 48078
2018-06-13 12:02 popcorn Note Added: 48079
2018-06-13 12:57 popcorn Note Added: 48082
2018-06-13 13:13 LouisGac Note Added: 48083
2018-06-13 13:26 popcorn Note Added: 48084
2018-06-13 13:28 LouisGac Note Added: 48085
2018-06-13 13:36 popcorn Note Added: 48086
2018-06-13 14:26 LouisGac Note Added: 48087
2018-06-13 14:59 popcorn File Added: Picture1.jpg
2018-06-13 14:59 popcorn Note Added: 48089
2018-06-13 15:12 LouisGac Note Added: 48090
2018-06-13 15:19 popcorn Note Added: 48091
2018-06-13 15:19 LouisGac Note Added: 48092
2018-06-13 15:44 popcorn Note Added: 48093
2018-06-13 16:52 kanedat Note Added: 48095
2018-06-13 17:20 popcorn Note Added: 48096
2018-06-13 17:21 popcorn Note Added: 48097
2018-06-14 10:52 popcorn Note Added: 48105
2018-06-14 14:35 kanedat Note Added: 48110
2018-06-15 14:27 c_schmitz Note Added: 48123
2018-06-15 14:27 c_schmitz Status resolved => closed